package at.gv.landooe.shop;

import javax.ws.rs.ApplicationPath;

import org.glassfish.jersey.filter.LoggingFilter;
import org.glassfish.jersey.server.ResourceConfig;
import org.glassfish.jersey.server.filter.RolesAllowedDynamicFeature;

import at.gv.landooe.shop.rest.AdminService;
import at.gv.landooe.shop.rest.ItemsService;

/**
 * {@link ResourceConfig} that injects authentication 
 * 
 * @author matthias
 */
@ApplicationPath("/")
public class ServiceRessourceConfig extends ResourceConfig {

	/**
	 * Configure {@link ItemsService} to use auth 
	 */
	public ServiceRessourceConfig() {
		super(AdminService.class);
		register(RolesAllowedDynamicFeature.class);
		register(LoggingFilter.class);
	}
	
}
