package at.gv.landooe.shop.client;

import java.net.URI;

import javax.ws.rs.client.Client;
import javax.ws.rs.client.ClientBuilder;
import javax.ws.rs.client.WebTarget;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.UriBuilder;

import org.glassfish.jersey.client.ClientConfig;

/**
 * Test client for REST calls
 * 
 * @author matthias
 */
public class RESTClient {

	/**
	 * Main application for testing rest services
	 * 
	 * @param args
	 */
	public static void main(String[] args) {
		ClientConfig config = new ClientConfig();
		Client client = ClientBuilder.newClient(config);
		
		WebTarget target = client.target(getBaseURI());
		
		String xmlResponse = target.path("rest").path("test").request().accept(MediaType.APPLICATION_JSON).get(String.class);
		System.out.println(xmlResponse);
	}
	
	private static URI getBaseURI() {
		return UriBuilder.fromUri("http://localhost:8080/shop").build();
	}
}
