package at.gv.landooe.shop.elems;

import javax.xml.bind.annotation.XmlRootElement;

/**
 * Represents a single shop item 
 * 
 * @author matthias
 */
@XmlRootElement
public class Item extends GenericIntIdItem {

	private static final long serialVersionUID = 3142863140548888708L;

	/** Display name of the item */
	private String name;
	
	/** Non-discounted price */
	private float price;
	
	/** Number of items in stock */
	private int stock;
	
	/** Default constructor */
	public Item() { }
	
	/** Constructor with full in-line init */
	public Item(int id, String name, float price, int stock) {
		this.setId(id);
		this.name = name;
		this.price = price;
		this.stock = stock;
	}
	
	public String getName() {
		return name;
	}

	public void setName(String name) {
		this.name = name;
	}

	public float getPrice() {
		return price;
	}

	public void setPrice(float price) {
		this.price = price;
	}

	public int getStock() {
		return stock;
	}

	public void setStock(int stock) {
		this.stock = stock;
	}
	
}
