package at.gv.landooe.shop.elems;

import java.io.Serializable;

/**
 * Single items on an order
 * 
 * @author matthias
 */
public class OrderItem implements Serializable {

	private static final long serialVersionUID = -5139932012151342731L;

	private int item;
	
	private int quantity;
	
	private float posPrice;
	
	/**
	 * Creates a new order item
	 * 
	 * @param item
	 * @param quantity
	 * @param posPrice
	 */
	public OrderItem(int item, int quantity, float posPrice) {
		this.item = item;
		this.quantity = quantity;
		this.posPrice = posPrice;
	}
	
	/**
	 * Jackson insists on using the larger types
	 * 
	 * @param item
	 * @param quantity
	 * @param posPrice
	 */
	public OrderItem(long item, long quantity, double posPrice) {
		this((int) item, (int) quantity, (float) posPrice);
	}
	
	/**
	 * Non-discounted order from an item
	 * 
	 * @param item
	 * @param quantity
	 */
	public OrderItem(Item item, int quantity) {
		this.item = item.getId();
		this.quantity = quantity;
	}

	public int getItem() {
		return item;
	}

	public void setItem(int item) {
		this.item = item;
	}

	public int getQuantity() {
		return quantity;
	}

	public void setQuantity(int quantity) {
		this.quantity = quantity;
	}

	public float getPosPrice() {
		return posPrice;
	}

	public void setPosPrice(float posPrice) {
		this.posPrice = posPrice;
	}
	
}
