package at.gv.landooe.shop.rest;

import javax.ws.rs.Consumes;
import javax.ws.rs.DELETE;
import javax.ws.rs.GET;
import javax.ws.rs.PUT;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Request;
import javax.ws.rs.core.UriInfo;

import at.gv.landooe.shop.dao.ShopDAO;
import at.gv.landooe.shop.elems.Item;

/**
 * Service capable of retrieving a single item
 * 
 * @author matthias
 *
 */
public class ItemService {

	@Context
	UriInfo uriInfo;
	
	@Context
	Request request;
	
	String id;
	
	/**
	 * Initializes the service from {@link ItemsService}
	 * 
	 * @param uriInfo
	 * @param request
	 * @param id
	 */
	public ItemService(UriInfo uriInfo, Request request, String id) {
		this.uriInfo = uriInfo;
		this.request = request;
		this.id = id;
	}
	
	/**
	 * Retrieve Item
	 * 
	 * @return
	 */
	@GET
	@Produces({ MediaType.APPLICATION_JSON, MediaType.APPLICATION_XML} )
	public Item getItem() {
		return ShopDAO.getItem(Integer.parseInt(this.id));
	}
	
	@PUT
	@Produces({ MediaType.APPLICATION_JSON, MediaType.APPLICATION_XML} )
	@Consumes({ MediaType.APPLICATION_JSON, MediaType.APPLICATION_XML} )
	public Item putItem(Item item) {
		item = ShopDAO.saveItem(item);
		return item;
	}
	
	@DELETE
	public void deleteItem() {
		ShopDAO.deleteItem(Integer.parseInt(this.id));
	}
	
}
