package at.gv.landooe.shop.rest;

import java.util.List;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.PathParam;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Request;
import javax.ws.rs.core.UriInfo;

import org.apache.log4j.Logger;

import at.gv.landooe.shop.dao.ShopDAO;
import at.gv.landooe.shop.elems.Item;

/**
 * Service capable of retrieving and storing items
 * 
 * @author matthias
 */
@Path("/items")
public class ItemsService {
	
	static Logger logger = Logger.getLogger(ItemsService.class); 
	
	@Context
	UriInfo uriInfo;
	@Context
	Request request;
	
	@GET
	@Produces({ MediaType.APPLICATION_JSON, MediaType.APPLICATION_XML })
	public List<Item> getItems() {
		return ShopDAO.listItems();
	}
	
	@GET
	@Produces({ MediaType.TEXT_PLAIN })
	public String getItemsPlain() {
		StringBuffer buffer = new StringBuffer();
		
		for(Item i : ShopDAO.listItems()) {
			buffer.append("http://localhost:8080/shop/rest/items/");
			buffer.append(i.getId());
			buffer.append("\n");
		}
		
		return buffer.toString();
	}
	
	@Path("{item}")
	public ItemService getItem(@PathParam("item") String id) {
		return new ItemService(this.uriInfo, this.request, id);
	}
	
	@POST
	@Produces({ MediaType.APPLICATION_JSON, MediaType.APPLICATION_XML} )
	@Consumes({ MediaType.APPLICATION_JSON, MediaType.APPLICATION_XML} )
	public Item putItem(Item item) {
		item = ShopDAO.saveItem(item);
		return item;
	}
	
}
