package at.gv.landooe.shop.rest;

import javax.ws.rs.GET;
import javax.ws.rs.Produces;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Request;
import javax.ws.rs.core.UriInfo;

import at.gv.landooe.shop.dao.ShopDAO;
import at.gv.landooe.shop.elems.Item;
import at.gv.landooe.shop.elems.Order;
import at.gv.landooe.shop.elems.OrderItem;
import at.gv.landooe.shop.html.BootstrapWrapper;

public class OrderService {
	
	@Context
	UriInfo uriInfo;
	
	@Context
	Request request;
	
	String id;
	
	public OrderService(UriInfo uriInfo, Request request, String id) {
		this.uriInfo = uriInfo;
		this.request = request;
		this.id = id;
	}
	
	@GET
	@Produces({ MediaType.TEXT_HTML })
	public String getItemHtml() {
		Integer iId = Integer.parseInt(this.id);
		Order order = ShopDAO.getOrder(iId);
		StringBuilder sb = new StringBuilder();
		sb.append("<h1>Order: ");
		sb.append(order.getId());
		sb.append("</h1>");
		sb.append("<p>Customer: ");
		sb.append(order.getCustomerName());
		sb.append("</p>");
		sb.append("<table class=\"table\">");
		sb.append("<tr><th>");
		sb.append("Item");
		sb.append("</th><th>");
		sb.append("Quantity");
		sb.append("</th></tr>");
		for(OrderItem oi : order.getItems()) {
			Item item = ShopDAO.getItem(oi.getItem());
			sb.append("<tr><td>");
			if(item != null) {
				sb.append(item.getId());
				sb.append(": ");
				sb.append(item.getName());
			}
			sb.append("</td><td>");
			sb.append(oi.getQuantity());
			sb.append("</td></tr>");
		}
		sb.append("</table>");
		return BootstrapWrapper.wrap("Order: " + order.getId(), sb.toString());
	}
}
