package at.gv.landooe.shop.rest;

import javax.ws.rs.GET;
import javax.ws.rs.HeaderParam;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.WebApplicationException;
import javax.ws.rs.core.MediaType;
import javax.ws.rs.core.Response;

import org.apache.log4j.Logger;

@Path("/version")
public class VersionService {
	
	static Logger logger = Logger.getLogger(VersionService.class);
	
	public static final String CURRENT_STABLE_VERSION = "1.0.3";
	
	@GET
	@Produces(MediaType.TEXT_PLAIN)
	public String getVersion(@HeaderParam("LandOOE-REST-API-Version") String version) {
		version = version == null ? CURRENT_STABLE_VERSION : version;
		switch (version) {
		case "1.0.3":
			return getVersion103();
		case "2":
			return getVersion2();
		}
		throw new WebApplicationException(Response.Status.NOT_IMPLEMENTED);
	}
	
	private String getVersion103() { return "Dummy in Version 1.0.3 (Stable)"; }
	
	private String getVersion2() { return "Dummy in Version 2 (Beta)"; }
}
